---
title: Enable R2 bucket as a catalog
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[R2 Data Catalog](https://developers.cloudflare.com/api/go/resources/r2_data_catalog)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Enable R2 bucket as a catalog

Deprecated: Use \`POST /accounts/{account\_id}/basin-catalog/{bucket\_name}/enable\` instead.

client.R2DataCatalog.Enable(ctx, bucketName, body) (\*[R2DataCatalogEnableResponse](<https://developers.cloudflare.com/api/go/resources/r2_data_catalog#(resource)%20r2_data_catalog%20%3E%20(model)%20R2DataCatalogEnableResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/r2-catalog/{bucket\_name}/enable

Enable an R2 bucket as an Apache Iceberg catalog. This operation creates the necessary catalog infrastructure and activates the bucket for storing Iceberg metadata and data files.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers R2 Data Catalog Write`

##### ParametersExpand Collapse

bucketName string

Specifies the R2 bucket name.

maxLength63

minLength3

[Link to this property](<#(resource)%20r2_data_catalog%20%3E%20(method)%20enable%20%3E%20(params)%20default%20%3E%20(param)%20bucket_name%20%3E%20(schema)>)

<details>

<summary>

body R2DataCatalogEnableParams

</summary>

AccountID param.Field\[string]

Use this to identify the account.

<a href="#(resource)%20r2_data_catalog%20%3E%20(method)%20enable%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20r2_data_catalog%20%3E%20(method)%20enable%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type R2DataCatalogEnableResponse struct{…}

Contains response from activating an R2 bucket as a catalog.

</summary>

ID string

Use this to uniquely identify the activated catalog.

formatuuid

<a href="#(resource)%20r2_data_catalog%20%3E%20(model)%20R2DataCatalogEnableResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Name string

Specifies the name of the activated catalog.

<a href="#(resource)%20r2_data_catalog%20%3E%20(model)%20R2DataCatalogEnableResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20r2_data_catalog%20%3E%20(model)%20R2DataCatalogEnableResponse%20%3E%20(schema)>)

### Enable R2 bucket as a catalog

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/r2_data_catalog"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.R2DataCatalog.Enable(
    context.TODO(),
    "my-data-bucket",
    r2_data_catalog.R2DataCatalogEnableParams{
      AccountID: cloudflare.F("0123456789abcdef0123456789abcdef"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
```

200 example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "account123_my-bucket"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "account123_my-bucket"
  },
  "success": true
}
```